
import 'antd/dist/antd.min.css';
import MainPage from './pages/mainPage';
import { Router, Route, Link, Redirect, Switch } from 'react-router-dom';
import createHistory from "history/createBrowserHistory";
import { Provider, connect } from 'react-redux';
import { store } from './store';
import './App.css';
import { InputUpLoadFile} from './components';

const history = createHistory();

function App() {
  return (
    <Router history={history}>
      <Provider store={store}>
        <div className="App">
          <MainPage></MainPage>
      </div>
      </Provider>

<InputUpLoadFile/>

    </Router>

    
  );
}

export default App;
